﻿window.addEventListener("message", onXMessage, false);
var statsQuery = [];

function onXMessage(event) {
    if (!event || !event.data) return;
    var data = event.data;
    SendStatistic(data.action, data.type, data.info);
}
function SendStatistic(action, type, info) {
    var data = { action: action, type: type, info: info };
    if (action) {
        statsQuery.push(data);
    }
    try {
        for (var i = 0; i < statsQuery.length; i++) {
            document.getElementById("XSportZonePlayer").sendStats(statsQuery[i]);
        }
        statsQuery = [];
    }
    catch (e) {
        setTimeout(function () { SendStatistic(null, null, null); }, 3 * 1000);
    }
}