﻿$(window).on('load', function () {
    var url = new URL(document.location.href);
    var videoIdForPlay = 0;
    var embedType = '-1';
    var pageUrl = 'empty';
    try {
        var vid = parseInt(url.searchParams.get('videoId'));
        if (!isNaN(vid)) {
            videoIdForPlay = vid;
        }
    } catch (e) { }
    try {
        var et = url.searchParams.get('embedType');
        if (et != null) {
            embedType = et;
        }
    } catch (e) { }
    try {
        var pu = url.searchParams.get('ref');
        if (pu != null) {
            pageUrl = pu;
        }
    } catch (e) { }
    placeSwfOnPage(videoIdForPlay, embedType, pageUrl);
});
function placeSwfOnPage(videoId, embedType, pageUrl) {
    var swfName = "XSportZonePlayer.swf";
    var swf = $('<object></object>', {
        id: 'XSportZonePlayer',
        'type': 'application/x-shockwave-flash',
        'style': 'float: none; vertical-align:middle; width: 100%; height: 100%;',
        'data': swfName
    }).appendTo('#videoContainer');

    var swfParams = [
        { name: 'allowFullScreen', value: true },
        { name: 'movie', value: swfName },
        { name: 'quality', value: 'high' },
        { name: 'bgcolor', value: '#1D3D5A' },
        { name: 'play', value: true },
        { name: 'loop', value: false },
        { name: 'wmode', value: 'window' },
        { name: 'scale', value: 'showall' },
        { name: 'menu', value: false },
        { name: 'devicefont', value: false },
        { name: 'AllowScriptAccess', value: 'always' },
    ];
    var swfFlashVars = [
        { name: 'videoID', value: videoId },
        { name: 'volume', value: 0.5 },
        { name: 'quality', value: -1 },
        { name: 'embedType', value: embedType },
        { name: 'pageUrl', value: pageUrl }
    ];
    var fvars = '';
    for (var i = 0; i < swfFlashVars.length; i++) {
        fvars += swfFlashVars[i].name + '=' + swfFlashVars[i].value;
        if (i == swfFlashVars.length - 1) break;
        fvars += '&';
    }
    swfParams.push({ name: 'flashvars', value: fvars });

    for (var i = 0; i < swfParams.length; i++) {
        $('<param></param>')
            .attr('name', swfParams[i].name)
            .attr('value', swfParams[i].value)
            .appendTo(swf);
    }
    placeSwfAlternativeContent(swf);
}
function placeSwfAlternativeContent(swfBlock) {
    if (swfBlock == null) return;

    $('<div></div>', { id: 'altContent', 'class': 'sz_flash_replace_style' }).appendTo(swfBlock);

    $('<div></div>', { id: 'leftAltContentPanel', 'class': 'sz_no_flash_block_style sz_no_flash_enable_style' }).appendTo('#altContent');
    $('<div></div>', { id: 'leftAltContentContainer', 'class': 'sz_no_flash_container_style' }).appendTo('#leftAltContentPanel');
    $('<span></span>', { id: 'szEnableText', 'class': 'sz_no_flash_text_style' }).appendTo('#leftAltContentContainer');
    $('<span></span>', { id: 'pluginsLink', 'class': 'sz_link_style' }).html('Flash Player').appendTo('#leftAltContentContainer');
    $('<img></img>', { id: 'enableFlashImg', 'class': 'sz_no_flash_img_style', 'src': '/img/enable_flash.en.png' }).appendTo('#leftAltContentContainer');

    $('<div></div>', { id: 'middleBlock', 'class': 'sz_no_flash_middle_block_style' }).appendTo('#altContent');

    $('<div></div>', { id: 'rightAltContentPanel', 'class': 'sz_no_flash_block_style sz_no_flash_install_style' }).appendTo('#altContent');
    $('<div></div>', { id: 'rightAltContentContainer', 'class': 'sz_no_flash_container_style' }).appendTo('#rightAltContentPanel');
    $('<span></span>', { id: 'szDownloadText', 'class': 'sz_no_flash_text_style' }).appendTo('#rightAltContentContainer');
    $('<span></span>', { id: 'SZlink', 'class': 'sz_link_style' }).html('SportZone').appendTo('#rightAltContentContainer');
    $('<img></img>', { id: 'downloadFlashImg', 'class': 'sz_no_flash_img_style', 'src': '/img/download_zone.png' }).appendTo('#rightAltContentContainer');
    $('<span></span>', { id: 'szInstallText', 'class': 'sz_no_flash_text_style' }).appendTo('#rightAltContentContainer');
    $('<img></img>', { id: 'installFlashImg', 'class': 'sz_no_flash_img_style', 'src': '/img/install_zone.png' }).appendTo('#rightAltContentContainer');
}