var sz_BackScriptPort = null;

function sz_placePinnedPopup(vid) {
    //####### Container
    var blockId = vid > 0 ? ('_' + vid) : '';
    if (document.getElementById('sz_pinned_player_container' + blockId)) return;

    window.jq_sz("<div></div>", {
        id: 'sz_pinned_player_container' + blockId,
        "class": "sz_pinned_player_container_style"
    }).appendTo("body");

    //####### iFrame
    var url = chrome.extension.getURL('player.html') + '?videoId=' + vid + '&embedType=2&ref=' + encodeURIComponent(document.location.href);
    window.jq_sz("<iframe>", {
        id: "XSportZoneIframe",
        src: url,
        "class": "sz_pinned_player_frame_style",
        scrolling: "no",
        frameborder: "no"
    }).appendTo('#sz_pinned_player_container' + blockId);

    //####### Header

    window.jq_sz("<div></div>", {
        id: "sz_pinned_player_popup_header" + blockId,
        "class": "sz_pinned_player_header_style"
    }).appendTo('#sz_pinned_player_container' + blockId);

    //####### Resize Handlers
    
    window.jq_sz("<div></div>", {
        id: "sz_pinned_player_popup_resize_handler_n",
        'class': 'ui-resizable-handle ui-resizable-n sz_pinned_player_resize_hanler_h sz_pinned_player_resize_hanler_n'
    }).appendTo('#sz_pinned_player_container' + blockId);
    window.jq_sz("<div></div>", {
        id: "sz_pinned_player_popup_resize_handler_s",
        'class': 'ui-resizable-handle ui-resizable-s sz_pinned_player_resize_hanler_h sz_pinned_player_resize_hanler_s'
    }).appendTo('#sz_pinned_player_container' + blockId);
    window.jq_sz("<div></div>", {
        id: "sz_pinned_player_popup_resize_handler_w",
        'class': 'ui-resizable-handle ui-resizable-w sz_pinned_player_resize_hanler_v sz_pinned_player_resize_hanler_w'
    }).appendTo('#sz_pinned_player_container' + blockId);
    window.jq_sz("<div></div>", {
        id: "sz_pinned_player_popup_resize_handler_e",
        'class': 'ui-resizable-handle ui-resizable-e sz_pinned_player_resize_hanler_v sz_pinned_player_resize_hanler_e'
    }).appendTo('#sz_pinned_player_container' + blockId);
    window.jq_sz("<div></div>", {
        id: "sz_pinned_player_popup_resize_handler_nw",
        'class': 'ui-resizable-handle ui-resizable-nw sz_pinned_player_resize_hanler_corner sz_pinned_player_resize_hanler_nw'
    }).appendTo('#sz_pinned_player_container' + blockId);
    window.jq_sz("<div></div>", {
        id: "sz_pinned_player_popup_resize_handler_ne",
        'class': 'ui-resizable-handle ui-resizable-ne sz_pinned_player_resize_hanler_corner sz_pinned_player_resize_hanler_ne'
    }).appendTo('#sz_pinned_player_container' + blockId);
    window.jq_sz("<div></div>", {
        id: "sz_pinned_player_popup_resize_handler_sw",
        'class': 'ui-resizable-handle ui-resizable-sw sz_pinned_player_resize_hanler_corner sz_pinned_player_resize_hanler_sw'
    }).appendTo('#sz_pinned_player_container' + blockId);
    window.jq_sz("<div></div>", {
        id: "sz_pinned_player_popup_resize_handler_se",
        'class': 'ui-resizable-handle ui-resizable-se sz_pinned_player_resize_hanler_corner sz_pinned_player_resize_hanler_se'
    }).appendTo('#sz_pinned_player_container' + blockId);

    //####### Title

    window.jq_sz('<span></span>', {
        id: 'sz_pinned_player_popup_title' + blockId,
        'class': 'sz_pinned_player_title_style'
    })
        .html('SportZone')
        .appendTo('#sz_pinned_player_popup_header' + blockId);

    //####### Close button

    window.jq_sz('<div></div>', {
        id: 'sz_pinned_player_popup_close' + blockId,
        'class': 'sz_pinned_player_close_style'
    })
        .click(function () {
            window.jq_sz('#sz_pinned_player_container' + blockId).remove();
        })
        .appendTo('#sz_pinned_player_popup_header' + blockId);

    window.jq_sz('<div></div>', {
        'class': 'sz_pinned_player_close_title_style'
    })
        .html('X')
        .appendTo('#sz_pinned_player_popup_close' + blockId);

    //#######

    window.jq_sz('#sz_pinned_player_container' + blockId)
        .resizable({
            //handles: 'n, e, s, w, ne, nw, se, sw',
            handles: {
                'n': '#sz_pinned_player_popup_resize_handler_n',
                's': '#sz_pinned_player_popup_resize_handler_s',
                'w': '#sz_pinned_player_popup_resize_handler_w',
                'e': '#sz_pinned_player_popup_resize_handler_e',
                'nw': '#sz_pinned_player_popup_resize_handler_nw',
                'ne': '#sz_pinned_player_popup_resize_handler_ne',
                'sw': '#sz_pinned_player_popup_resize_handler_sw',
                'se': '#sz_pinned_player_popup_resize_handler_se'
            },
            cancel: '.sz_pinned_player_header_style',
            //stop: function (event, ui) {
            //    SendStatistic("resize", "", { size: ui.size, position: ui.position, view: { width: window.innerWidth, height: window.innerHeight } });
            //},
            containment: "parent",
            minWidth: 400,
            minHeight: 305
        })
        .draggable({
            appendTo: 'parent',
            cancel: '.sz_pinned_player_close_style',
            //stop: function (event, ui) {
            //    SendStatistic("move", "", { size: ui.size, position: ui.position, view: { width: window.innerWidth, height: window.innerHeight } });
            //},
            containment: 'window',
            cursor: 'move',
            handle: '#sz_pinned_player_popup_header' + blockId,
            scroll: false
        });
};

function onScriptLoaded() {
    sz_BackScriptPort = chrome.runtime.connect();
    if (sz_BackScriptPort) {
        sz_BackScriptPort.onMessage.addListener(onVideoIdResponse);
        sz_BackScriptPort.postMessage({ command: { name: 'getNewVideo' } });
    }
    else {
        sz_placePinnedPopup(0);
    }
}

function onVideoIdResponse(message) {
    if (message.command.name === 'getNewVideo' && message.result !== undefined && message.result !== null) {
        var vid = 0;
        try {
            vid = parseInt('' + message.result);
        } catch (e) { }
        sz_placePinnedPopup(vid);
    }
}
onScriptLoaded();